fcml-disasm(1)

NAME
fcml-disasm - single-line disassembler

SYNOPSIS
fcml-disasm [-s] [-e] [-rc] [-rh] [-rz] [-rs] [-gas] [-asa<size>] [-osa<size>] -m<size> -ip <address> <code>

DESCRIPTION
fcml-disasm is a single-line disassembler for Intel iAPx86, IA-32 and EM64T CPUs, and compatible CPUs from other manufacturers.

It displays all possible interpretations of the given machine code.

OPTIONS
fcml-disasm accepts the following options:

-s  Prefer short instruction forms.

-e  Extend displacement sizes to address size attribute.

-rc Render instruction code.

-rh Render immediate values and displacements as hexadecimal.

-rz Remove leading zeroes.

-rs Render segment prefixes even when they are optional.

-gas
    Use GNU Assembler dialect (also known as AT&T). The Intel dialect is used by default.

-asa<size>
    Specify the size of the address size attribute (16, 32 or 64 for respectively 16, 32 and 63 bits).

-osa<size>
    Specify the size of the operand size attribute (16, 32 or 64 for respectively 16, 32 and 63 bits).

-m<size>
    Specify the addressing mode (16, 32 or 64).

-ip <address>
    Specify the instruction pointer address (IP, EIP or RIP).

AUTHORS
fcml-disasm was written by Slawomir Wojtasiak.

This manual page was written by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others).